Package org.apache.struts2.convention

# Class DefaultClassFinder.InfoBuildingMethodVisitor

java.lang.Object
org.objectweb.asm.MethodVisitor
org.apache.struts2.convention.DefaultClassFinder.InfoBuildingMethodVisitor

Enclosing class:
  DefaultClassFinder

public class DefaultClassFinder.InfoBuildingMethodVisitor extends org.objectweb.asm.MethodVisitor

- ## Field Summary

  ### Fields inherited from class org.objectweb.asm.MethodVisitor

  `api, mv`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InfoBuildingMethodVisitor()`
  `InfoBuildingMethodVisitor(ClassFinder.Info info)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.objectweb.asm.AnnotationVisitor`
  `visitAnnotation(String desc, boolean visible)`
  `org.objectweb.asm.AnnotationVisitor`
  `visitParameterAnnotation(int param, String desc, boolean visible)`

  ### Methods inherited from class org.objectweb.asm.MethodVisitor

  `getDelegate, visitAnnotableParameterCount, visitAnnotationDefault, visitAttribute, visitCode, visitEnd, visitFieldInsn, visitFrame, visitIincInsn, visitInsn, visitInsnAnnotation, visitIntInsn, visitInvokeDynamicInsn, visitJumpInsn, visitLabel, visitLdcInsn, visitLineNumber, visitLocalVariable, visitLocalVariableAnnotation, visitLookupSwitchInsn, visitMaxs, visitMethodInsn, visitMethodInsn, visitMultiANewArrayInsn, visitParameter, visitTableSwitchInsn, visitTryCatchAnnotation, visitTryCatchBlock, visitTypeAnnotation, visitTypeInsn, visitVarInsn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### InfoBuildingMethodVisitor

    public InfoBuildingMethodVisitor()

  - ### InfoBuildingMethodVisitor

    public InfoBuildingMethodVisitor(ClassFinder.Info info)

- ## Method Details

  - ### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc, boolean visible)
    Overrides:
      `visitAnnotation` in class `org.objectweb.asm.MethodVisitor`

  - ### visitParameterAnnotation

    public org.objectweb.asm.AnnotationVisitor visitParameterAnnotation(int param, String desc, boolean visible)
    Overrides:
      `visitParameterAnnotation` in class `org.objectweb.asm.MethodVisitor`